> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send document

> Send document to a client



## OpenAPI

````yaml /api-reference/documents/openapi.json post /proposals/document/send
openapi: 3.0.0
info:
  title: Documents and Contracts API
  description: Documentation for Documents and Contracts API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: documents
    description: Documentation for Documents and Contracts API
  - name: contracts
    description: Documentation for Documents and Contracts API
  - name: proposals
    description: Documentation for Documents and Contracts API
paths:
  /proposals/document/send:
    post:
      tags:
        - Documents
      summary: Send document
      description: Send document to a client
      operationId: send-documents-contracts
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: true
          schema:
            type: string
            example: Bearer 9c48df2694a849b6089f9d0d3513efe
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendDocumentDto'
      responses:
        '200':
          description: Document sent successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendDocumentResponseDto'
        '400':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
      security:
        - bearer: []
        - bearer: []
components:
  schemas:
    SendDocumentDto:
      type: object
      properties:
        locationId:
          type: string
          description: Location Id
          example: hTlkh7t8gujsahgg93
        documentId:
          type: string
          description: Document Id
          example: hTlkh7t8gujsahgg93
        documentName:
          type: string
          description: Document Name
          example: new Document
        medium:
          type: string
          enum:
            - link
            - email
          description: Medium to be used for sending the document
          example: email
        ccRecipients:
          description: CC Recipient
          example:
            - id: u240JcS0E5qE0ziHnwMm
              email: jim@gmail.com
              imageUrl: ''
              contactName: Jim Anton
              firstName: Jim
              lastName: Anton
          type: array
          items:
            $ref: '#/components/schemas/CCRecipientItem'
        notificationSettings:
          example:
            sender:
              fromName: ''
              fromEmail: ''
            receive:
              subject: ''
              templateId: ''
          allOf:
            - $ref: '#/components/schemas/NotificationSettingsDto'
        sentBy:
          type: string
          description: Sent ByUser Id
          example: '1234567890'
      required:
        - locationId
        - documentId
        - sentBy
    SendDocumentResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: Success status
          example: true
        links:
          description: Links for all recipients
          type: array
          items:
            $ref: '#/components/schemas/ProposalEstimateLinksDto'
      required:
        - success
        - links
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    CCRecipientItem:
      type: object
      properties:
        email:
          type: string
          description: Email
          example: jim@gmail.com
        id:
          type: string
          description: Contact ID
          example: contactId
        imageUrl:
          type: string
          description: Contact Image URL
          example: https://example.com/image.jpg
        contactName:
          type: string
          description: Contact Name
          example: Jim Anton
        firstName:
          type: string
          description: First Name
          example: Jim
        lastName:
          type: string
          description: Last Name
          example: Anton
      required:
        - email
        - id
        - imageUrl
        - contactName
        - firstName
        - lastName
    NotificationSettingsDto:
      type: object
      properties:
        receive:
          $ref: '#/components/schemas/NotificationSendSettingDto'
        sender:
          $ref: '#/components/schemas/NotificationSenderSettingDto'
      required:
        - receive
        - sender
    ProposalEstimateLinksDto:
      type: object
      properties:
        referenceId:
          type: string
          description: Reference ID
          example: 550e8400-e29b-41d4-a716-446655440000
        documentId:
          type: string
          description: Document ID
          example: c1e87a91-93b2-4b78-821f-85cf0e1f925b
        recipientId:
          type: string
          description: Recipient ID
          example: u240JcS0E5qE0ziHnwMm
        entityName:
          type: string
          enum:
            - contacts
            - users
          description: Entity name that the recipient belongs to
          example: contacts
        recipientCategory:
          type: string
          enum:
            - recipient
            - cc
            - bcc
          description: Recipient category (recipient, cc, or bcc)
          example: recipient
        documentRevision:
          type: number
          description: Document revision number
          example: 1
        createdBy:
          type: string
          description: Created by user ID
          example: b6d8fa28-1112-4dc7-b9d2-f22b75a477ea
        deleted:
          type: boolean
          description: Whether the document is deleted
          example: false
      required:
        - referenceId
        - documentId
        - recipientId
        - entityName
        - recipientCategory
        - documentRevision
        - createdBy
        - deleted
    NotificationSendSettingDto:
      type: object
      properties:
        templateId:
          type: string
        subject:
          type: string
      required:
        - templateId
        - subject
    NotificationSenderSettingDto:
      type: object
      properties:
        fromEmail:
          type: string
        fromName:
          type: string
      required:
        - fromEmail
        - fromName
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Access Token or Private Integration Token

````